Create and use a field name map in all index requests

01/16/2015 12:49 PM - Lauren Walker

Status: New Start date: 01/16/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Bugzilla-ld:

Description

Create a map that connects Solr index field names with attribute names used in the MetacatUI app so that if:

e a Solr index field name is ever changed

¢ the app is pointed to a with Metacat with a custom/different index schema
then the Solr index field name only has to change in one place.

| have a small field name map in place in the Search model but it is missing some index fields. Also, other places in the app make
requests to the Solr index without using it. Those requests need to be changed to use the map.

History

#1 - 10/12/2015 10:07 AM - Lauren Walker

- Target version changed from 1.8.0 to 1.9.0

#2 - 11/04/2015 12:36 PM - Lauren Walker
- Target version changed from 1.9.0 to 1.12.0

#3 - 03/30/2016 10:45 AM - Lauren Walker
- Target version deleted (1.12.0)
